SystemOrganization addCategory: #'SimpleApplescript-Specification'!

TestCase subclass: #ApplescriptSpecification
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimpleApplescript-Specification'!

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:15'!
testDoIt

	| result |
	result := Applescript doIt: 'tell application "Finder"
	get item 1 of {"one", "two", "three"}
end tell'.
	self assert: result equals: '"one"'.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 12/6/2011 09:48'!
testDoItError

	self should: [ Applescript doIt: 'get item 1 of {"one"'] raise: Error whoseDescriptionIncludes: 'syntax error:' description: ''.
! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:15'!
testDoItReturningFalse

	| result |
	result := Applescript doIt: 'false'.
	self assert: result equals: false.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:19'!
testDoItReturningString
	"Leave this failing until all other Applescript types have been handled. Otherwise there will be ambiguity between e.g. {one} and '{one}'."

	| result |
	result := Applescript doIt: '"a string"'.
	self assert: result equals: 'a string'.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:15'!
testDoItReturningTrue

	| result |
	result := Applescript doIt: 'true'.
	self assert: result equals: true.! !
